Bug 194067 - 2.6.16-1.2244_FC6: 'BUG: write-lock lockup on CPU#0' during boot
2.6.16-1.2244_FC6: 'BUG: write-lock lockup on CPU#0' during boot
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-06-05 12:09 EDT by Jason Vas Dias
Modified: 2015-01-04 17:27 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 20:31:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jason Vas Dias 2006-06-05 12:09:22 EDT
Description of problem:

With kernel-2.6.16-1.2244_FC6.i686, on a single CPU IBM ThinkPad T41 laptop,
I get this lockup during boot, immediately after DHCP has obtained a lease -
( perhaps LPF related ?) :
 'BUG: write-lock lockup on CPU#0, events/0/5, c06f17e0 (Not tainted)'

There are no stack trace or Oops/Panic messages logged - just the above message
to the console.

Also, since 2208, under  2208 / 2218 / 2236 / 2240, the machine has locked up
while using X several times, again with no log messages or stack trace logged -
perhaps they are related . When this happens, the machine stops responding
to network packets, nothing on the screen moves, and no 
CTRL+ALT+DEL / CTRL+ALT+BACKSPACE ALT+SYSRQ / ALT+F[1-7] keystrokes work at all. 

Anything I can do to force a stack dump when a lockup occurs ? I have enabled
the SysRq key, but as I said, when a lockup occurs, this does not work.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Boot up machine / use X
Actual results:
machine sometimes locks up hard

Expected results:
no lockups
Comment 1 Dave Jones 2006-07-12 00:02:20 EDT
can you reproduce this with the latest rawhide kernels?  The new lock-dependancy
checker should be able to tell us a lot more information to debug this if it
hasn't been fixed already.
Comment 3 Bug Zapper 2008-04-03 13:19:48 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 4 Bug Zapper 2008-05-06 20:31:44 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:

Note You need to log in before you can comment on or make changes to this bug.